Bug 652887 - [abrt] bakefile-0.2.8-3.fc13: writer.py:201:invoke_em:ImportError: No module named empy.em
Summary: [abrt] bakefile-0.2.8-3.fc13: writer.py:201:invoke_em:ImportError: No module ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bakefile
Version: 13
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b0f86399
Keywords:
Depends On:
Blocks: 1110532
TreeView+ depends on / blocked
 
Reported: 2010-11-13 10:12 UTC by Jonathan Wakely
Modified: 2014-06-17 20:41 UTC (History)
1 user (show)

(edit)
Clone Of:
: 1110532 (view as bug list)
(edit)
Last Closed: 2011-03-15 21:49:49 UTC


Attachments (Terms of Use)
File: backtrace (684 bytes, text/plain)
2010-11-13 10:12 UTC, Jonathan Wakely
no flags Details
fix import errors in /usr/lib64/bakefile/writer.py (1.13 KB, patch)
2010-12-16 01:13 UTC, Jonathan Wakely
no flags Details | Diff

Description Jonathan Wakely 2010-11-13 10:12:07 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/lib64/bakefile/bakefile.py -fautoconf --output-deps=/tmp/bakefilexsdZcH --output-changes=/tmp/bakefileDRq9QN --xml-cache=/tmp/bakefileTelXe2/xmlcache0 ./mysql++.bkl
component: bakefile
executable: /usr/lib64/bakefile/bakefile.py
kernel: 2.6.34.7-61.fc13.x86_64
package: bakefile-0.2.8-3.fc13
reason: writer.py:201:invoke_em:ImportError: No module named empy.em
release: Fedora release 13 (Goddard)
time: 1289641852
uid: 500

backtrace
-----
writer.py:201:invoke_em:ImportError: No module named empy.em

Traceback (most recent call last):
  File "/usr/lib64/bakefile/bakefile.py", line 237, in <module>
    run(sys.argv[1:])
  File "/usr/lib64/bakefile/bakefile.py", line 216, in run
    if not writer.write():
  File "/usr/lib64/bakefile/writer.py", line 288, in write
    invoke(writer, file, method)
  File "/usr/lib64/bakefile/writer.py", line 243, in invoke
    return invoke_em(writer, file, method)
  File "/usr/lib64/bakefile/writer.py", line 201, in invoke_em
    import empy.em
ImportError: No module named empy.em

Local variables in innermost frame:
writer: 'autoconf.empy'
method: 'replace'
file: './Makefile.in'

How to reproduce
-----
1. check out mysql++ from subversion
2. run the included ./bootstrap script to run bakefile

Comment 1 Jonathan Wakely 2010-11-13 10:12:10 UTC
Created attachment 460210 [details]
File: backtrace

Comment 2 Jonathan Wakely 2010-11-13 10:37:16 UTC
mysqlpp$ ./bootstrap
+ for d in 3 5 8
+ mkdir -p vc2003
+ for d in 3 5 8
+ mkdir -p vc2005
+ for d in 3 5 8
+ mkdir -p vc2008
+ bakefilize
+ bakefile_gen
[1/1] generating autoconf from ./mysql++.bkl
Traceback (most recent call last):
  File "/usr/lib64/bakefile/bakefile.py", line 237, in <module>
    run(sys.argv[1:])    
  File "/usr/lib64/bakefile/bakefile.py", line 216, in run
    if not writer.write():
  File "/usr/lib64/bakefile/writer.py", line 288, in write
    invoke(writer, file, method)
  File "/usr/lib64/bakefile/writer.py", line 243, in invoke
    return invoke_em(writer, file, method)
  File "/usr/lib64/bakefile/writer.py", line 201, in invoke_em
    import empy.em
ImportError: No module named empy.em
[bakefile_gen] error: bakefile exited with error (1)
+ rm -f INSTALL
+ set +x

BOOTSTRAP FAILED!

Comment 3 Jonathan Wakely 2010-12-16 01:13:06 UTC
Created attachment 469011 [details]
fix import errors in /usr/lib64/bakefile/writer.py

This patch fixes the problems in bakefile. It looks as though the imports weren't adjusted to match Fedora's python package, which as em.py in site-packages not in an empy module (did any even test this bakefile package?)

Comment 4 Fedora Update System 2011-01-02 17:29:32 UTC
bakefile-0.2.8-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bakefile-0.2.8-5.fc13

Comment 5 Fedora Update System 2011-01-02 17:30:36 UTC
bakefile-0.2.8-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bakefile-0.2.8-5.fc14

Comment 6 Fedora Update System 2011-01-03 20:05:28 UTC
bakefile-0.2.8-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bakefile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bakefile-0.2.8-5.fc14

Comment 7 Fedora Update System 2011-03-15 21:49:40 UTC
bakefile-0.2.8-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-15 21:56:55 UTC
bakefile-0.2.8-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.